com.genesyslab.wfm8.API.service.config812

## Class CfgTimezone

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgTimezone

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTimezone
      extends java.lang.Object
      implements java.io.Serializable

  Time Zone information. See also `CfgTimezoneHelper`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswTenantId`
    `protected int` | `gswTimezoneId` Associated Genesys Time Zone ID
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks time point when Object information was obtained
    `protected java.lang.String` | `wmName` Time Zone Name
    `protected java.util.List<CfgTimezoneBias>` | `wmTimezoneBias` An array containing configured deviations (`CfgTimezoneBias`) from standard time zone bias (e.g.
    `protected int` | `wmTimezoneBiasNSizeIs` Number of elements in wmTimezoneBias array
    `protected int` | `wmTimezoneId` Time Zone ID
    `protected int` | `wmValue` Time zone bias from GMT (in minutes)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTimezone()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswTenantId()` Gets the value of the gswTenantId property.
    `int` | `getGswTimezoneId()` Gets the value of the gswTimezoneId property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.util.List<CfgTimezoneBias>` | `getWmTimezoneBias()` Gets the value of the wmTimezoneBias property.
    `int` | `getWmTimezoneBiasNSizeIs()` Gets the value of the wmTimezoneBiasNSizeIs property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `int` | `getWmValue()` Gets the value of the wmValue property.
    `int` | `hashCode()`
    `void` | `setGswTenantId(int value)` Sets the value of the gswTenantId property.
    `void` | `setGswTimezoneId(int value)` Sets the value of the gswTimezoneId property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmTimezoneBias(java.util.List<CfgTimezoneBias> wmTimezoneBias)` Sets the value of the wmTimezoneBias property.
    `void` | `setWmTimezoneBiasNSizeIs(int value)` Sets the value of the wmTimezoneBiasNSizeIs property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmValue(int value)` Sets the value of the wmValue property.
    `java.lang.String` | `toString()`
    `CfgTimezone` | `withGswTenantId(int value)`
    `CfgTimezone` | `withGswTimezoneId(int value)`
    `CfgTimezone` | `withTimestamp(long value)`
    `CfgTimezone` | `withWmName(java.lang.String value)`
    `CfgTimezone` | `withWmTimezoneBias(CfgTimezoneBias... values)`
    `CfgTimezone` | `withWmTimezoneBias(java.util.Collection<CfgTimezoneBias> values)`
    `CfgTimezone` | `withWmTimezoneBiasNSizeIs(int value)`
    `CfgTimezone` | `withWmTimezoneId(int value)`
    `CfgTimezone` | `withWmValue(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTimezoneId

          protected int wmTimezoneId

      Time Zone ID

    - #### gswTimezoneId

          protected int gswTimezoneId

      Associated Genesys Time Zone ID

    - #### wmName

          protected java.lang.String wmName

      Time Zone Name

    - #### wmValue

          protected int wmValue

      Time zone bias from GMT (in minutes)

    - #### wmTimezoneBiasNSizeIs

          protected int wmTimezoneBiasNSizeIs

      Number of elements in wmTimezoneBias array

    - #### wmTimezoneBias

          protected java.util.List<CfgTimezoneBias> wmTimezoneBias

      An array containing configured deviations (`CfgTimezoneBias`) from standard time zone bias (e.g. DST)

    - #### gswTenantId

          protected int gswTenantId

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks time point when Object information was obtained

  - ### Constructor Detail

    - #### CfgTimezone

          public CfgTimezone()

  - ### Method Detail

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getGswTimezoneId

          public int getGswTimezoneId()

      Gets the value of the gswTimezoneId property.

    - #### setGswTimezoneId

          public void setGswTimezoneId(int value)

      Sets the value of the gswTimezoneId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmValue

          public int getWmValue()

      Gets the value of the wmValue property.

    - #### setWmValue

          public void setWmValue(int value)

      Sets the value of the wmValue property.

    - #### getWmTimezoneBiasNSizeIs

          public int getWmTimezoneBiasNSizeIs()

      Gets the value of the wmTimezoneBiasNSizeIs property.

    - #### setWmTimezoneBiasNSizeIs

          public void setWmTimezoneBiasNSizeIs(int value)

      Sets the value of the wmTimezoneBiasNSizeIs property.

    - #### getWmTimezoneBias

          public java.util.List<CfgTimezoneBias> getWmTimezoneBias()

      Gets the value of the wmTimezoneBias property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmTimezoneBias property.

      For example, to add a new item, do as follows:

              getWmTimezoneBias().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgTimezoneBias`

    - #### getGswTenantId

          public int getGswTenantId()

      Gets the value of the gswTenantId property.

    - #### setGswTenantId

          public void setGswTenantId(int value)

      Sets the value of the gswTenantId property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmTimezoneId

          public CfgTimezone withWmTimezoneId(int value)

    - #### withGswTimezoneId

          public CfgTimezone withGswTimezoneId(int value)

    - #### withWmName

          public CfgTimezone withWmName(java.lang.String value)

    - #### withWmValue

          public CfgTimezone withWmValue(int value)

    - #### withWmTimezoneBiasNSizeIs

          public CfgTimezone withWmTimezoneBiasNSizeIs(int value)

    - #### withWmTimezoneBias

          public CfgTimezone withWmTimezoneBias(CfgTimezoneBias... values)

    - #### withWmTimezoneBias

          public CfgTimezone withWmTimezoneBias(java.util.Collection<CfgTimezoneBias> values)

    - #### withGswTenantId

          public CfgTimezone withGswTenantId(int value)

    - #### withTimestamp

          public CfgTimezone withTimestamp(long value)

    - #### setWmTimezoneBias

          public void setWmTimezoneBias(java.util.List<CfgTimezoneBias> wmTimezoneBias)

      Sets the value of the wmTimezoneBias property.
      Parameters:
        `wmTimezoneBias` - allowed object is `CfgTimezoneBias`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.